require 'sinatra'

#     configs = Dir.glob("conf/*.json")
#     configs = configs.map {|config_path| JSON.parse(File.read config_path) }

config = JSON.parse(File.read("./config.json"))

app = Sinatra.new do

  before "*" do
    #halt 404 unless request.host == config["domain"]
  end

  get "*" do

    if File.join(request.path).end_with?(".html", ".ico", ".png", ".jpg", ".txt")
      return send_file request.path
    end

    erb (request.path + "/index").to_sym

  end

  configure do
    set(:views, config["base_directory"])
    enable :sessions if config["enable_sessions"]
  end

  error do
    halt 500
  end

  not_found do
    halt 404
  end

  error Errno::ENOENT do
    halt 404
  end

end

app.run!